Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] community/sword: move from main

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Fri, 27 Nov 2015 22:02:42 -0800

---
 community/sword/00-fflush.patch   | 12 ++++++
 community/sword/APKBUILD          | 87 +++++++++++++++++++++++++++++++++++++++
 community/sword/sword.pre-install |  3 ++
 main/sword/00-fflush.patch        | 12 ------
 main/sword/APKBUILD               | 87 ---------------------------------------
 main/sword/sword.pre-install      |  3 --
 6 files changed, 102 insertions(+), 102 deletions(-)
 create mode 100644 community/sword/00-fflush.patch
 create mode 100644 community/sword/APKBUILD
 create mode 100755 community/sword/sword.pre-install
 delete mode 100644 main/sword/00-fflush.patch
 delete mode 100644 main/sword/APKBUILD
 delete mode 100755 main/sword/sword.pre-install
diff --git a/community/sword/00-fflush.patch b/community/sword/00-fflush.patch
new file mode 100644
index 0000000..79f0649
--- /dev/null
+++ b/community/sword/00-fflush.patch
_at_@ -0,0 +1,12 @@
+diff --git a/utilities/installmgr.cpp b/utilities/installmgr.cpp
+index b705c25..132314a 100644
+--- a/utilities/installmgr.cpp
++++ b/utilities/installmgr.cpp
+_at_@ -73,6 +73,7 @@ virtual bool isUserDisclaimerConfirmed() const {
+ 		cout << "If you understand this and are willing to enable remote source features\n";
+ 		cout << "then type yes at the prompt\n\n";
+ 		cout << "enable? [no] ";
++		fflush(stdout);
+ 
+ 		char prompt[10];
+ 		fgets(prompt, 9, stdin);
diff --git a/community/sword/APKBUILD b/community/sword/APKBUILD
new file mode 100644
index 0000000..18ae386
--- /dev/null
+++ b/community/sword/APKBUILD
_at_@ -0,0 +1,87 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=sword
+pkgver=1.7.4
+pkgrel=2
+pkgdesc="Library for free Bible software"
+url="http://www.crosswire.org/sword/"
+arch="all"
+license="GPL2"
+depends=""
+# all are optional but desireable; clucene-dev could be replaced with
+# new --with-cxx11regex or --with-internalregex,
+# but currently c++11 regex leads to this error in diatheke:
+# terminate called after throwing an instance of 'std::runtime_error'
+#  what():  locale::facet::_S_create_c_locale name not valid
+# Aborted
+# This might be fixed by the musl locale rework.
+# curl-dev is needed for standard packages.
+depends_dev="zlib-dev icu-dev curl-dev clucene-dev"
+makedepends="$depends_dev"
+pkggroups="sword"
+install="$pkgname.pre-install"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang $pkgname-utils"
+source="http://www.crosswire.org/ftpmirror/pub/sword/source/v1.7/sword-$pkgver.tar.gz
+	00-fflush.patch
+	"
+
+_builddir="$srcdir"/sword-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		--with-icu --with-zlib \
+		--with-curl --with-curl_sftp \
+		--with-clucene=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	mkdir -p -m775 "$pkgdir/var/lib/sword/modules"  && \
+	mv "$pkgdir/usr/share/sword/mods.d" "$pkgdir/var/lib/sword/" && \
+	chown root:sword "$pkgdir"/var/lib/sword/mod*		&& \
+	chmod -R 0775 "$pkgdir/var/lib/sword/mods.d"  	&& \
+	sed -e 's|\(DataPath=\).*|\1/var/lib/sword/|g' 	   \
+	-i "$pkgdir/etc/sword.conf" || return 1
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+	for i in INSTALL README ChangeLog; do
+		install -Dm644 $i "$pkgdir"/usr/share/doc/sword/$i
+	done
+}
+
+lang() {
+	mkdir -p "$subpkgdir"/usr/share/sword/
+	mv "$pkgdir"/usr/share/sword/locales.d "$subpkgdir"/usr/share/sword/
+}
+
+utils() {
+	cd "$pkgdir"
+	mkdir -p "$subpkgdir"/usr/bin
+	mv usr/bin/* "$subpkgdir"/usr/bin
+}
+
+md5sums="1677f02a86cbf07713d4e1d4c39791e6  sword-1.7.4.tar.gz
+cce51448f99b7253a502266e268386b6  00-fflush.patch"
+sha256sums="995da8cf5a207c1f09809bf4b9db0bd7d267da5fcdb9d6666c9b313edd9d213d  sword-1.7.4.tar.gz
+4c6000d94428cb5150b7debc5a180c17e455ba718b6ef54fa937e9bb4f8c1b80  00-fflush.patch"
+sha512sums="4c8b183e613367364439cc7a8a842012f75180fccc8eb775b9af2dc4c10f39c152261d35f0aadaaa91a11df36ab1a4057c2edc50ea4b0b3bb0ab0a847ff68f75  sword-1.7.4.tar.gz
+6f6c13e7d04458e73d36c114017ad9e76e04c991adb8e457a0b55ce09fcaa95f33b2c26b73c2fd28591f07b69d3d03c1db6d08676001b3a45e0b66b22cb47dc0  00-fflush.patch"
diff --git a/community/sword/sword.pre-install b/community/sword/sword.pre-install
new file mode 100755
index 0000000..0ab0d71
--- /dev/null
+++ b/community/sword/sword.pre-install
_at_@ -0,0 +1,3 @@
+#!/bin/sh
+echo "Adding 'sword' group for installing SWORD modules systemwide"
+addgroup sword 2>/dev/null >&2 || true
diff --git a/main/sword/00-fflush.patch b/main/sword/00-fflush.patch
deleted file mode 100644
index 79f0649..0000000
--- a/main/sword/00-fflush.patch
+++ /dev/null
_at_@ -1,12 +0,0 @@
-diff --git a/utilities/installmgr.cpp b/utilities/installmgr.cpp
-index b705c25..132314a 100644
---- a/utilities/installmgr.cpp
-+++ b/utilities/installmgr.cpp
-_at_@ -73,6 +73,7 @@ virtual bool isUserDisclaimerConfirmed() const {
- 		cout << "If you understand this and are willing to enable remote source features\n";
- 		cout << "then type yes at the prompt\n\n";
- 		cout << "enable? [no] ";
-+		fflush(stdout);
- 
- 		char prompt[10];
- 		fgets(prompt, 9, stdin);
diff --git a/main/sword/APKBUILD b/main/sword/APKBUILD
deleted file mode 100644
index 18ae386..0000000
--- a/main/sword/APKBUILD
+++ /dev/null
_at_@ -1,87 +0,0 @@
-# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
-# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
-pkgname=sword
-pkgver=1.7.4
-pkgrel=2
-pkgdesc="Library for free Bible software"
-url="http://www.crosswire.org/sword/"
-arch="all"
-license="GPL2"
-depends=""
-# all are optional but desireable; clucene-dev could be replaced with
-# new --with-cxx11regex or --with-internalregex,
-# but currently c++11 regex leads to this error in diatheke:
-# terminate called after throwing an instance of 'std::runtime_error'
-#  what():  locale::facet::_S_create_c_locale name not valid
-# Aborted
-# This might be fixed by the musl locale rework.
-# curl-dev is needed for standard packages.
-depends_dev="zlib-dev icu-dev curl-dev clucene-dev"
-makedepends="$depends_dev"
-pkggroups="sword"
-install="$pkgname.pre-install"
-subpackages="$pkgname-dev $pkgname-doc $pkgname-lang $pkgname-utils"
-source="http://www.crosswire.org/ftpmirror/pub/sword/source/v1.7/sword-$pkgver.tar.gz
-	00-fflush.patch
-	"
-
-_builddir="$srcdir"/sword-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--sysconfdir=/etc \
-		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--localstatedir=/var \
-		--with-icu --with-zlib \
-		--with-curl --with-curl_sftp \
-		--with-clucene=/usr \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-	mkdir -p -m775 "$pkgdir/var/lib/sword/modules"  && \
-	mv "$pkgdir/usr/share/sword/mods.d" "$pkgdir/var/lib/sword/" && \
-	chown root:sword "$pkgdir"/var/lib/sword/mod*		&& \
-	chmod -R 0775 "$pkgdir/var/lib/sword/mods.d"  	&& \
-	sed -e 's|\(DataPath=\).*|\1/var/lib/sword/|g' 	   \
-	-i "$pkgdir/etc/sword.conf" || return 1
-	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
-	for i in INSTALL README ChangeLog; do
-		install -Dm644 $i "$pkgdir"/usr/share/doc/sword/$i
-	done
-}
-
-lang() {
-	mkdir -p "$subpkgdir"/usr/share/sword/
-	mv "$pkgdir"/usr/share/sword/locales.d "$subpkgdir"/usr/share/sword/
-}
-
-utils() {
-	cd "$pkgdir"
-	mkdir -p "$subpkgdir"/usr/bin
-	mv usr/bin/* "$subpkgdir"/usr/bin
-}
-
-md5sums="1677f02a86cbf07713d4e1d4c39791e6  sword-1.7.4.tar.gz
-cce51448f99b7253a502266e268386b6  00-fflush.patch"
-sha256sums="995da8cf5a207c1f09809bf4b9db0bd7d267da5fcdb9d6666c9b313edd9d213d  sword-1.7.4.tar.gz
-4c6000d94428cb5150b7debc5a180c17e455ba718b6ef54fa937e9bb4f8c1b80  00-fflush.patch"
-sha512sums="4c8b183e613367364439cc7a8a842012f75180fccc8eb775b9af2dc4c10f39c152261d35f0aadaaa91a11df36ab1a4057c2edc50ea4b0b3bb0ab0a847ff68f75  sword-1.7.4.tar.gz
-6f6c13e7d04458e73d36c114017ad9e76e04c991adb8e457a0b55ce09fcaa95f33b2c26b73c2fd28591f07b69d3d03c1db6d08676001b3a45e0b66b22cb47dc0  00-fflush.patch"
diff --git a/main/sword/sword.pre-install b/main/sword/sword.pre-install
deleted file mode 100755
index 0ab0d71..0000000
--- a/main/sword/sword.pre-install
+++ /dev/null
_at_@ -1,3 +0,0 @@
-#!/bin/sh
-echo "Adding 'sword' group for installing SWORD modules systemwide"
-addgroup sword 2>/dev/null >&2 || true
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 27 2015 - 22:02:42 GMT